package io.gitlab.jfronny.resclone.api;

import java.nio.file.Path;

public interface RescloneApi {

    void addFetcher(PackFetcher fetcher);

    void addProcessor(PackProcessor processor);

    void addPack(String fetcher, String pack, String name);

    void addPack(String fetcher, String pack, String name, boolean forceRedownload);

    void addPack(String fetcher, String pack, String name, boolean forceRedownload, boolean forceEnable);

    void reload();

    Path getConfigPath();

}